# This is the base rule for all rule objects
messageLevels = ['Warn', 'Error']

class Message:
    """ A class for messages that rules will generate """
    
    def __init__(self, msg, lvl):
        self._msg = msg
        self._level = lvl

    def __str__(self):
        return self._msg

    __repr__ = __str__

    def level(self):
        return messageLevels[self._level]
